V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
zzk1989
V2EX  ›  Vue.js

不会现在还有人要兼容 ie9 吧,分享下 vite 打包 vue2 兼容到 ie9 的方法

  •  
  •   zzk1989 · 234 天前 · 1339 次点击
    这是一个创建于 234 天前的主题,其中的信息可能已经有所发展或是发生改变。
    vite 不兼容低版本浏览器的原因是打包格式为 es
    将输出的类型改为 amd 再用 babel 转换一下就轻松兼容到 ie9 了
    提取出来做成了 vite 插件有需要的可以看看
    https://github.com/z-z-k/vite-plugin-amd-babel
    https://gitee.com/ZZK-1989/vite-plugin-amd-babel.git
    4 条回复    2021-11-03 13:30:51 +08:00
    del1214
        1
    del1214  
       234 天前
    真棒
    angrylid
        2
    angrylid  
       234 天前
    IE9 真的只需要改打包方式就可以兼容吗
    zzk1989
        3
    zzk1989  
    OP
       234 天前
    @angrylid 可以把代码拉下来试试,里面有示例代码
    woomly
        4
    woomly  
       233 天前
    别说 IE9 了,IE11 都不会考虑
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2432 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 19ms · UTC 02:28 · PVG 10:28 · LAX 19:28 · JFK 22:28
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.